<template>
  <div
    class="flex-row flex-column-fluid h-100"
    style="background-color: #FFFFFF"
  >
    <router-view v-slot="{ Component }">
      <transition
        name="fade"
        mode="out-in"
      >
        <component :is="Component" />
      </transition>
    </router-view>
  </div>
</template>
<script>
export default {
  name: 'AppView',
  /*watch: {
    '$route':  function(to) {
      console.log(to.meta);
      if (to.meta.reload === true) {
        window.location.reload()
      }
    }
  }*/
}
</script>
<style lang="css">
  .fade-enter-active,
  .fade-leave-active {
    transition: opacity 0.5s ease;
  }
  .fade-enter-from,
  .fade-leave-to {
    opacity: 0;
  }
</style>

<style lang="scss">
#app {
  font-family: Poppins,Helvetica,sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
}

nav {
  padding: 30px;

  a {
    font-weight: bold;
    color: #2c3e50;

    &.router-link-exact-active {
      color: #42b983;
    }
  }
}
</style>
